<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetVariable Method (IEdmVariableMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVariableMgr5 Interface : GetVariable Method (IEdmVariableMgr5)

Visual Basic
C#
C++/CLI

poIdOrName
  ID or name of variable to get

Gets a variable with the specified ID or name.

# Syntax

Visual Basic |
--- | ---

    Function GetVariable( _
       ByRef poIdOrName As System.Object _
    ) As IEdmVariable5

C# |
--- | ---

    IEdmVariable5 GetVariable(
       ref System.object poIdOrName
    )

C++/CLI |
--- | ---

    IEdmVariable5^ GetVariable(
    &   System.Object^% poIdOrName
    )

#### Parameters

poIdOrName
  ID or name of variable to get

#### Return Value

IEdmVariable5; Null if poIdOrName is not valid

# Example

Batch Update Card Variables (VB.NET)
Batch Update Card Variables (C#)

# Remarks

C++ users not using smart-pointer wrapper functions must release the returned pointer, IEdmVariable5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The variable name or ID is not recognized.

# See Also

####

IEdmVariableMgr5 Interface
IEdmVariableMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2